#ifndef __DEFS_H__
#define __DEFS_H__

#ifdef ASSEMBLER

#ifndef __CC65__
#define align(x)        .dsb ((x)-(*&((x)-1))),$ea
#else
#define align(x)        .align(x)
#endif
#define page            align(256)

#define FINAL_ADDRESS_P8D             $b800
#define FINAL_ADDRESS_P8D_ROM         $0320
#define FINAL_ADDRESS_P8D_LOADER      $1000

#define   phase   $0310
#define   setwrt  $031f
#define   setrd   $031e
#define   wrtdat  $031d
#define   rddata  $031c
#define   drvsl2  $031b
#define   drvsl1  $031a
#define   drvoff  $0318
#define   drvon   $0319

#define   nibble  $0200

#endif

#endif /* __DEFS_H__ */
